Skip to main content
`Ctrl`+`K`

# PetscFECopyQuadrature

Copy both volumetric and surface quadrature to a new `PetscFE`

## Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscFECopyQuadrature(PetscFE sfe, PetscFE tfe)

Not Collective

## Input Parameters

- sfe - The `PetscFE` source for the quadratures

- tfe - The `PetscFE` target for the quadratures

## See Also

`PetscFE`, `PetscSpace`, `PetscDualSpace`, `PetscQuadrature`, `PetscFECreate()`, `PetscFESetQuadrature()`, `PetscFESetFaceQuadrature()`

## Level

intermediate

## Location

src/dm/dt/fe/interface/fe.c

## Examples

src/snes/tutorials/ex12.c
src/snes/tutorials/ex77.c
src/tao/tutorials/ex2.c
src/snes/tutorials/ex24.c
src/snes/tutorials/ex69.c
src/snes/tutorials/ex27.c
src/snes/tutorials/ex76.c
src/snes/tutorials/ex71.c
src/tao/tutorials/ex1.c
src/snes/tutorials/ex11.c

Index of all FE routines
Table of Contents for all manual pages
Index of all manual pages